## utalk 1.0.1.beta

=== Makefile ===
# Makefile for srdp/utalk - Roger Espel Llima

#BINDIR = /usr/local/bin
#MANDIR = /usr/local/man
#LIBDIR = /usr/local/lib
#BINDIR = /usr/local/util/bin
#MANDIR = /usr/local/util/man
#LIBDIR = /usr/local/util/lib
BINDIR = /home/e/espel/bin
MANDIR = /home/e/espel/man
LIBDIR = /home/e/espel/lib

SRCS = srdp.c utalk.c util.c termcap.c termio.c globals.c signal.c screen.c\
       functions.c kbd.c comm.c rc.c menu.c
OBJS = srdp.o utalk.o util.o termcap.o termio.o globals.o signal.o screen.o\
       functions.o kbd.o comm.o rc.o menu.o
HEADS = comm.h kbd.h signal.h struct.h util.h functions.h rc.h srdp.h\
       termcap.h globals.h screen.h srdpdata.h termio.h menu.h

# The termcap library;  -ltermcap does the job on most systems, but if
# you have ncurses installed you may want to change it to -lncurses.
# On weird systems without a separate termcap library but with termcap
# emulation in curses, you may need to set it to -lcurses.
LIBS = -ltermcap

# Extra libraries; uncomment this for Solaris, change it for other machines
EXTRALIBS = -lsocket -lnsl

# Uncomment this on non-POSIX BSD machines (NeXT, Sequent...) if you
# have trouble compiling without it.
# OPT1 = -DUSE_SGTTY
# OPT2 = -DUSE_SIGVEC

# Uncomment this if you have trouble compiling because of sigaction()
# and USE_SIGVEC doesn't work:
# OPT3 = -DNO_SIGACTION

# Uncomment this if you want eight-bit-stripping on by default
# OPT4 = -DSEVEN_BIT

OPT5 = -DLIBDIR="\"$(LIBDIR)\""
OPTS = $(OPT1) $(OPT2) $(OPT3) $(OPT4) $(OPT5)

#CFLAGS = -g -O -D__USE_FIXED_PROTOTYPES__ $(OPTS)
#CFLAGS = -g -Wall -DDEBUG -D__USE_FIXED_PROTOTYPES__ $(OPTS)
CFLAGS = -g -Wall -D__USE_FIXED_PROTOTYPES__ $(OPTS)
#LDFLAGS = -g

CC = gcc

ROFF = nroff

all:	utalk

utalk.cat:	utalk.1
		$(ROFF) -man utalk.1 > utalk.cat

utalk:	$(OBJS)
	$(CC) $(LDFLAGS) -o utalk $(OBJS) $(LIBS) $(EXTRALIBS)

test:	stest.o srdp.o
	$(CC) $(LDFLAGS) -o stest stest.o $(LIBS) $(EXTRALIBS)

install:	utalk utalk.1
	# -strip utalk
	-umask 022; mkdir $(BINDIR) 2>/dev/null
	-umask 022; mkdir $(MANDIR) 2>/dev/null
	-umask 022; mkdir $(LIBDIR) 2>/dev/null
	-umask 022; mkdir $(MANDIR)/man1 2>/dev/null
	cp utalk $(BINDIR)
	chmod 755 $(BINDIR)/utalk
	cp utalk.1 $(MANDIR)/man1
	chmod 644 $(MANDIR)/man1/utalk.1
	cp utalk.help $(LIBDIR)
	chmod 644 $(LIBDIR)/utalk.help

clean:
	rm -f $(OBJS) stest.o stest utalk core

depend:
	makedepend -- $(CFLAGS) -- $(SRCS)

## utalk 1.0.2

=== Makefile ===
DESTDIR = /usr/local

# Makefile for srdp/utalk - Roger Espel Llima

BINDIR = $(DESTDIR)/bin
MANDIR = $(DESTDIR)/share/man
LIBDIR = $(DESTDIR)/lib

SRCS = srdp.c utalk.c util.c termcap.c termio.c globals.c signal.c screen.c\
       functions.c kbd.c comm.c rc.c menu.c
OBJS = srdp.o utalk.o util.o termcap.o termio.o globals.o signal.o screen.o\
       functions.o kbd.o comm.o rc.o menu.o
HEADS = comm.h kbd.h signal.h struct.h util.h functions.h rc.h srdp.h\
       termcap.h globals.h screen.h srdpdata.h termio.h menu.h

# The termcap library; -ltermcap does the job on most systems (e.g. BSDs),
# but if you have ncurses installed you may want to change it to -lncurses
# (mostly on Linux)
# On some systems without a separate termcap library but with termcap
# emulation in curses, you may need to set it to -lcurses.
LIBS = -lncurses

# Extra libraries; uncomment this for Solaris, change it for other machines
# EXTRALIBS = -lsocket -lnsl

# Uncomment this on non-POSIX BSD machines (NeXT, Sequent...) if you
# have trouble compiling without it.
# OPT1 = -DUSE_SGTTY
# OPT2 = -DUSE_SIGVEC

# Uncomment this if you have trouble compiling because of sigaction()
# and USE_SIGVEC doesn't work:
# OPT3 = -DNO_SIGACTION

# Uncomment this if you want eight-bit-stripping on by default
# OPT4 = -DSEVEN_BIT

OPT5 = -DLIBDIR="\"$(LIBDIR)\""
OPTS = $(OPT1) $(OPT2) $(OPT3) $(OPT4) $(OPT5)

#CFLAGS = -g -O -D__USE_FIXED_PROTOTYPES__ $(OPTS)
#CFLAGS = -g -Wall -DDEBUG -D__USE_FIXED_PROTOTYPES__ $(OPTS)
CFLAGS = -O2 -g -Wall -D__USE_FIXED_PROTOTYPES__ $(OPTS)
#LDFLAGS = -g

CC = gcc

ROFF = nroff

all:	utalk

utalk.cat:	utalk.1
		$(ROFF) -man utalk.1 > utalk.cat

utalk:	$(OBJS)
	$(CC) $(LDFLAGS) -o utalk $(OBJS) $(LIBS) $(EXTRALIBS)

test:	stest.o srdp.o
	$(CC) $(LDFLAGS) -o stest stest.o $(LIBS) $(EXTRALIBS)

install:	utalk utalk.1
	strip utalk
	mkdir -p $(BINDIR)
	mkdir -p $(MANDIR)
	mkdir -p $(MANDIR)/man1
	cp utalk $(BINDIR)
	chown root:root $(BINDIR)/utalk
	cp utalk.1 $(MANDIR)/man1
	chown root:root $(MANDIR)/man1/utalk.1
#	cp utalk.help $(LIBDIR)
#	chmod 644 $(LIBDIR)/utalk.help

uninstall:
	rm -f $(BINDIR)/utalk
	rm -f $(MANDIR)/man1/utalk.1

clean:
	rm -f $(OBJS) stest.o stest utalk core

depend:
	makedepend -- $(CFLAGS) -- $(SRCS)

=== debian/changelog ===
utalk (1.0.2-2) unstable; urgency=medium

  * Fix FTCBFS: Do not strip during make install, thanks to Helmut
    Grohne (Closes: #991783)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 15 Oct 2021 15:57:19 +0200

utalk (1.0.2-1) unstable; urgency=low

  * New upstream release (closes: #980251)
  * quilt package

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 14 May 2021 15:49:22 +0200

utalk (1.0.1.beta-9) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (thanks to Helmut
    Grohne) (closes: #968423)
  * add year to copyright notice

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Tue, 18 Aug 2020 14:01:21 +0200

utalk (1.0.1.beta-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957903)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 22 Jul 2020 22:39:21 +0100

utalk (1.0.1.beta-8) unstable; urgency=low

  * update URL in debian/copyright
  * update package (closes: #800221)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 24 Oct 2015 20:31:21 +0200

utalk (1.0.1.beta-7) unstable; urgency=low

  * applied patch from John Lightsey to clean up compiler error (closes: #190786)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 23 May 2003 14:42:01 +0200

utalk (1.0.1.beta-6) unstable; urgency=low

  * moved Build-Depends where it belongs

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 23 Feb 2001 21:49:52 +0100

utalk (1.0.1.beta-5) unstable; urgency=low

  * rebuilt with a new GPG key
  * fixed messed up dependencies

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri,  1 Sep 2000 08:39:54 +0200

utalk (1.0.1.beta-4) unstable; urgency=low

  * added debhelper to Build-Depends

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 15 Feb 2000 22:52:51 +0100

utalk (1.0.1.beta-3) unstable; urgency=low

  * upgraded Standards-Version
  * compiled with new libncurses
  * Suggests: talkd

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu,  6 Jan 2000 16:46:46 +0100

utalk (1.0.1.beta-2.1) unstable; urgency=low

  * NMU (sponsored).
  * List Radovan properly as the maintainer in the control file.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  4 Jan 2000 02:14:22 -0600

utalk (1.0.1.beta-2) unstable; urgency=low

  * upgraded Standards-Version
  * Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk> is the person
    responsible for this package; I am his sponsor and am uploading it on
    his behalf.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 13 Oct 1999 22:13:05 +0200

utalk (1.0.1.beta-1) unstable; urgency=low

  * Initial Release.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon, 20 Sep 1999 22:39:10 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: utalk
Section: net
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Build-Depends: debhelper-compat (= 13), libncurses-dev
Standards-Version: 4.5.1
Homepage: https://utalk.ourproject.org/
Rules-Requires-Root: no

Package: utalk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: talkd
Description: talk-like program with additional features
 utalk uses a protocol, based on UDP, which ensures a quick response
 even over links with high packet loss, allows editing of previously
 typed text, including scrollback, deletion and overstrike, and
 provides some additional features. It is not compatible with BSD
 talk program.
